// Code generated by go-swagger; DO NOT EDIT.

//
// Copyright 2021 The Sigstore Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package server

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"github.com/sigstore/rekor/pkg/generated/models"
)

// GetRekorVersionOKCode is the HTTP code returned for type GetRekorVersionOK
const GetRekorVersionOKCode int = 200

/*GetRekorVersionOK A JSON object with the running rekor version

swagger:response getRekorVersionOK
*/
type GetRekorVersionOK struct {

	/*
	  In: Body
	*/
	Payload *models.RekorVersion `json:"body,omitempty"`
}

// NewGetRekorVersionOK creates GetRekorVersionOK with default headers values
func NewGetRekorVersionOK() *GetRekorVersionOK {

	return &GetRekorVersionOK{}
}

// WithPayload adds the payload to the get rekor version o k response
func (o *GetRekorVersionOK) WithPayload(payload *models.RekorVersion) *GetRekorVersionOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get rekor version o k response
func (o *GetRekorVersionOK) SetPayload(payload *models.RekorVersion) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetRekorVersionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*GetRekorVersionDefault There was an internal error in the server while processing the request

swagger:response getRekorVersionDefault
*/
type GetRekorVersionDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetRekorVersionDefault creates GetRekorVersionDefault with default headers values
func NewGetRekorVersionDefault(code int) *GetRekorVersionDefault {
	if code <= 0 {
		code = 500
	}

	return &GetRekorVersionDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the get rekor version default response
func (o *GetRekorVersionDefault) WithStatusCode(code int) *GetRekorVersionDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the get rekor version default response
func (o *GetRekorVersionDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the get rekor version default response
func (o *GetRekorVersionDefault) WithPayload(payload *models.Error) *GetRekorVersionDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get rekor version default response
func (o *GetRekorVersionDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetRekorVersionDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
